<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id)) {go(URL.'/');}

$arr_ask = mysql_fetch_array(mysql_query("SELECT * FROM `ask` WHERE `user_id` = '".$user_id."' LIMIT 1"));

$title = lang('Спроси меня','Запитай мене').' :: '.lang('Новые вопросы','Нові запитання');
require_once '../incfiles/head.php';
require_once 'handler/del_ask.php';
require_once 'handler/re_ask.php';

	?>
	<script type="text/javascript">
	$(function(){
		$('#form').on('submit', function(e){
		$('#form_content').html('');
		Page.Loading('start');
 	    e.preventDefault();
	    var $that = $(this),
	        formData = new FormData($that.get(0));
		   $.ajax({
	      url: $that.attr('action'),
   	     type: $that.attr('method'),
	      contentType: false,
	      processData: false,
	      data: formData,
	      success: function(response){
 	       if(response){
	 			$('.content').html(response);
				Page.Loading('stop');
	      }
	    }
	    });
	  });
	});
	</script>
	<?

	echo '<div class="title">
	<a href="'.URL.'/?id='.$user_id.'" onclick="Page.Go(this.href); return false">'.$user['name'].' '.$user['surname'].'</a>
	<a href="'.URL.'/ask/?id='.$user_id.'" onclick="Page.Go(this.href); return false">'.lang('Спроси меня','Запитай мене').'</a>
	<a class="title_a_hover" href="'.URL.'/ask/ask.php" onclick="Page.Go(this.href); return false">'.lang('Новые вопросы','Нові запитання').' '.$arr_ask['count_new'].'</a>
	</div>
	<div id="content_comm"><span>';
	
	$all = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `ask_msg` WHERE `ask_id` = '".$user_id."' AND `new` = 1 LIMIT 1"),0);
	if ($all > 0)
	{
		$cp = ceil($all/10);
		$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
		$start = $p*10-10;
		$res = mysql_query("SELECT * FROM `ask_msg` WHERE `ask_id` = '".$user_id."' AND `new` = 1 ORDER by `time` DESC LIMIT $start, 10");
		while ($arr = mysql_fetch_array($res))
		{
			echo '<div class="block">
			<div class="right"><a href="'.URL.'/ask/ask.php?del='.$arr['id'].'&p='.$p.'" onclick="Form.delPost(this.href); return false"><img src="'.URL.'/design/img/closed.png"/></a></div>';
			if ($arr['anonim'] == 1) echo '<b>'.lang('Аноним','Анонім').'</b>'; else echo user_name($arr['user_id']);
			echo '<br/>'.vtime($arr['time']).'<ul>'.smiles($arr['text']).'</ul>
			<ul><a href="'.URL.'/ask/ask.php" onclick="Form.reComm('.$arr['id'].'); return false">'.lang('Ответить','Відповісти').'</a></ul>
			<div class="re_comm" id="re_comm_'.$arr['id'].'">
			<form id="form" method="post" action="'.URL.'/ask/ask.php?id='.$arr['id'].'">
			<textarea class="input" name="re_text" rows="4"></textarea>
			<input class="button2" type="submit" value="'.lang('Ответить','Відповісти').'"/>
			</form>
			</div>
			</div>';
		}
		navi($p,$cp,'/ask/ask.php?');
	}
	
	echo '</span></div>';
	
require_once '../incfiles/foot.php';

?>